Package com.norconex.commons.lang.jar

# Class JarCopier.OnJarConflict

java.lang.Object
com.norconex.commons.lang.jar.JarCopier.OnJarConflict

Enclosing class:
  `JarCopier`

public static final class JarCopier.OnJarConflict extends Object
Encapsulate target jar conflict resolution options.

Since:
  3.0.0

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `JarCopier.OnJarConflict.SourceAction`
  `static enum`
  `JarCopier.OnJarConflict.TargetAction`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final JarCopier.OnJarConflict`
  `DEFAULT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OnJarConflict()`
  `OnJarConflict(JarCopier.OnJarConflict.SourceAction sourceAction, JarCopier.OnJarConflict.TargetAction targetAction)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `int`
  `hashCode()`
  `JarCopier.OnJarConflict.SourceAction`
  `sourceAction()`
  Action to perform (or not) on source file.
  `JarCopier.OnJarConflict.TargetAction`
  `targetAction()`
  Action to perform (or not) on target file.
  `String`
  `toString()`
  `JarCopier.OnJarConflict`
  `withSourceAction(JarCopier.OnJarConflict.SourceAction sourceAction)`
  Action to perform (or not) on source file.
  `JarCopier.OnJarConflict`
  `withTargetAction(JarCopier.OnJarConflict.TargetAction targetAction)`
  Action to perform (or not) on target file.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### DEFAULT

    public static final JarCopier.OnJarConflict DEFAULT

- ## Constructor Details

  - ### OnJarConflict

    public OnJarConflict()

  - ### OnJarConflict

    public OnJarConflict(JarCopier.OnJarConflict.SourceAction sourceAction, JarCopier.OnJarConflict.TargetAction targetAction)

- ## Method Details

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### sourceAction

    public JarCopier.OnJarConflict.SourceAction sourceAction()
    Action to perform (or not) on source file.

  - ### targetAction

    public JarCopier.OnJarConflict.TargetAction targetAction()
    Action to perform (or not) on target file.

  - ### withSourceAction

    public JarCopier.OnJarConflict withSourceAction(JarCopier.OnJarConflict.SourceAction sourceAction)
    Action to perform (or not) on source file.
    Returns:
      `this`.

  - ### withTargetAction

    public JarCopier.OnJarConflict withTargetAction(JarCopier.OnJarConflict.TargetAction targetAction)
    Action to perform (or not) on target file.
    Returns:
      `this`.